| Bsoft 2.0.5 Bernard's software package

Functions | Variables
rwHKL.cpp File Reference

Routines to read and write HKL reflection files. More...

`#include "rwHKL.h"`
`#include "Complex.h"`
`#include "linked_list.h"`
`#include "utilities.h"`
`#include <fstream>`

Go to the source code of this file.

## Functions
int | readHKL (Bimage *p, int readdata)
| Reading a HKL structure factor file format. This function reads a HKL file typically produced with MTZDUMP from X-ray crystallographic structure factor files in the CCP4 package. The first line as a space-delimited list of headers for the columns. All subsequent lines are rows containing the indices and data. Column headers: H K L indices. AMP amplitudes. SIGAMP amplitude deviations. PHI phases. SIGPHI phase deviations. FOM figure-of-merit values. FREE flag for R-free calculations. More...
int | writeHKL (Bimage *p)
| Writing a HKL structure factor file format. This function writes a HKL structure factor file. More...

## Variables
int | verbose

## Detailed Description

Routines to read and write HKL reflection files.

Author
  Bernard Heymann

Date
  Created: 19981229
  Modified: 20120211

Definition in file rwHKL.cpp.

## Function Documentation

## ◆ readHKL()

int readHKL | ( | Bimage * | p,
|  | int | readdata
| ) |  |

Reading a HKL structure factor file format. This function reads a HKL file typically produced with MTZDUMP from X-ray crystallographic structure factor files in the CCP4 package. The first line as a space-delimited list of headers for the columns. All subsequent lines are rows containing the indices and data. Column headers: H K L indices. AMP amplitudes. SIGAMP amplitude deviations. PHI phases. SIGPHI phase deviations. FOM figure-of-merit values. FREE flag for R-free calculations.

Parameters

  *p | the image structure.
  readdata | flag to activate reading of image data.

Returns
  int error code (<0 means failure).

Definition at line 36 of file rwHKL.cpp.

## ◆ writeHKL()

int writeHKL | ( | Bimage * | p | ) |

Writing a HKL structure factor file format. This function writes a HKL structure factor file.

Parameters

  *p | the image structure.

Returns
  int error code (<0 means failure).

Definition at line 210 of file rwHKL.cpp.

## Variable Documentation

## ◆ verbose

int verbose